/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140214-64 [Mar 29 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Disassembly of ./ssdt.dat, Sun Dec 27 13:15:45 2015
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000277D (10109)
 *     Revision         0x02
 *     Checksum         0xCE
 *     OEM ID           "CORE  "
 *     OEM Table ID     "COREBOOT"
 *     OEM Revision     0x0000002A (42)
 *     Compiler ID      "CORE"
 *     Compiler Version 0x0000002A (42)
 */
DefinitionBlock ("./ssdt.aml", "SSDT", 2, "CORE  ", "COREBOOT", 0x0000002A)
{
    /*
     * iASL Warning: There were 2 external control methods found during
     * disassembly, but additional ACPI tables to resolve these externals
     * were not specified. This resulting disassembler output file may not
     * compile because the disassembler did not know how many arguments
     * to assign to these methods. To specify the tables needed to resolve
     * external control method references, the -e option can be used to
     * specify the filenames. Example iASL invocations:
     *     iasl -e ssdt1.aml ssdt2.aml ssdt3.aml -d dsdt.aml
     *     iasl -e dsdt.aml ssdt2.aml -d ssdt1.aml
     *     iasl -e ssdt*.aml -d dsdt.aml
     *
     * In addition, the -fe option can be used to specify a file containing
     * control method external declarations with the associated method
     * argument counts. Each line of the file must be of the form:
     *     External (<method pathname>, MethodObj, <argument count>)
     */
    External (_SB_.PCI0.GFX0.XBCM, MethodObj)    // Warning: Unresolved Method, guessing 1 arguments (may be incorrect, see warning above)
    External (_SB_.PCI0.GFX0.XDSS, MethodObj)    // Warning: Unresolved Method, guessing 2 arguments (may be incorrect, see warning above)

    External (_SB_.PCI0.GFX0, DeviceObj)
    External (_SB_.PCI0.GFX0.XBCL, IntObj)
    External (_SB_.PCI0.GFX0.XBQC, IntObj)
    External (_SB_.PCI0.GFX0.XDCS, IntObj)
    External (_SB_.PCI0.GFX0.XDGS, IntObj)
    External (_SB_.PCI0.SATA, DeviceObj)
    External (PPCM, IntObj)
    External (PWRS, IntObj)
    External (TLVL, IntObj)

    Processor (\_PR.CP00, 0x00, 0x00000510, 0x06)
    {
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (PPCM)
        }

        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FE, 
                0x00000008
            }
        })
        Name (_PSS, Package (0x06)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x00000D49, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002700, 
                0x00002700
            }, 

            Package (0x06)
            {
                0x00000D48, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002200, 
                0x00002200
            }, 

            Package (0x06)
            {
                0x00000AF0, 
                0x0000E6B5, 
                0x0000000A, 
                0x0000000A, 
                0x00001C00, 
                0x00001C00
            }, 

            Package (0x06)
            {
                0x00000960, 
                0x0000BC83, 
                0x0000000A, 
                0x0000000A, 
                0x00001800, 
                0x00001800
            }, 

            Package (0x06)
            {
                0x000007D0, 
                0x000095CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001400, 
                0x00001400
            }, 

            Package (0x06)
            {
                0x00000640, 
                0x000071CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001000, 
                0x00001000
            }
        })
        Method (_CST, 0, NotSerialized)  // _CST: C-States
        {
            If (PWRS)
            {
                Return (Package (0x04)
                {
                    0x03, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000000, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000001, 
                        0x00000001, 
                        0x000003E8
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000010, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000002, 
                        0x0000003F, 
                        0x000001F4
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000030, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000003, 
                        0x0000005A, 
                        0x000000C8
                    }
                })
            }

            Return (Package (0x04)
            {
                0x03, 
                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000000, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000001, 
                    0x00000001, 
                    0x000003E8
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000010, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000002, 
                    0x0000003F, 
                    0x000001F4
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000030, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000003, 
                    0x0000005A, 
                    0x000000C8
                }
            })
        }

        Name (_TSD, Package (0x01)  // _TSD: Throttling State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FC, 
                0x00000008
            }
        })
        Name (_PTC, Package (0x02)  // _PTC: Processor Throttling Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        {
            Return (\TLVL)
        }

        Name (_TSS, Package (0x0F)  // _TSS: Throttling Supported States
        {
            Package (0x05)
            {
                0x00000064, 
                0x000003E8, 
                0x00000000, 
                0x00000000, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000005E, 
                0x000003AC, 
                0x00000000, 
                0x0000001F, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000058, 
                0x00000370, 
                0x00000000, 
                0x0000001E, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000052, 
                0x00000334, 
                0x00000000, 
                0x0000001D, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000004B, 
                0x000002F8, 
                0x00000000, 
                0x0000001C, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000045, 
                0x000002BC, 
                0x00000000, 
                0x0000001B, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000003F, 
                0x00000280, 
                0x00000000, 
                0x0000001A, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000039, 
                0x00000244, 
                0x00000000, 
                0x00000019, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000032, 
                0x00000208, 
                0x00000000, 
                0x00000018, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000002C, 
                0x000001CC, 
                0x00000000, 
                0x00000017, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000026, 
                0x00000190, 
                0x00000000, 
                0x00000016, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000020, 
                0x00000154, 
                0x00000000, 
                0x00000015, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000019, 
                0x00000118, 
                0x00000000, 
                0x00000014, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000013, 
                0x000000DC, 
                0x00000000, 
                0x00000013, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000000D, 
                0x000000A0, 
                0x00000000, 
                0x00000012, 
                0x00000000
            }
        })
    }

    Processor (\_PR.CP01, 0x01, 0x00000000, 0x00)
    {
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (PPCM)
        }

        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FE, 
                0x00000008
            }
        })
        Name (_PSS, Package (0x06)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x00000D49, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002700, 
                0x00002700
            }, 

            Package (0x06)
            {
                0x00000D48, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002200, 
                0x00002200
            }, 

            Package (0x06)
            {
                0x00000AF0, 
                0x0000E6B5, 
                0x0000000A, 
                0x0000000A, 
                0x00001C00, 
                0x00001C00
            }, 

            Package (0x06)
            {
                0x00000960, 
                0x0000BC83, 
                0x0000000A, 
                0x0000000A, 
                0x00001800, 
                0x00001800
            }, 

            Package (0x06)
            {
                0x000007D0, 
                0x000095CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001400, 
                0x00001400
            }, 

            Package (0x06)
            {
                0x00000640, 
                0x000071CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001000, 
                0x00001000
            }
        })
        Method (_CST, 0, NotSerialized)  // _CST: C-States
        {
            If (PWRS)
            {
                Return (Package (0x04)
                {
                    0x03, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000000, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000001, 
                        0x00000001, 
                        0x000003E8
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000010, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000002, 
                        0x0000003F, 
                        0x000001F4
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000030, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000003, 
                        0x0000005A, 
                        0x000000C8
                    }
                })
            }

            Return (Package (0x04)
            {
                0x03, 
                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000000, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000001, 
                    0x00000001, 
                    0x000003E8
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000010, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000002, 
                    0x0000003F, 
                    0x000001F4
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000030, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000003, 
                    0x0000005A, 
                    0x000000C8
                }
            })
        }

        Name (_TSD, Package (0x01)  // _TSD: Throttling State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FC, 
                0x00000008
            }
        })
        Name (_PTC, Package (0x02)  // _PTC: Processor Throttling Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        {
            Return (\TLVL)
        }

        Name (_TSS, Package (0x0F)  // _TSS: Throttling Supported States
        {
            Package (0x05)
            {
                0x00000064, 
                0x000003E8, 
                0x00000000, 
                0x00000000, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000005E, 
                0x000003AC, 
                0x00000000, 
                0x0000001F, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000058, 
                0x00000370, 
                0x00000000, 
                0x0000001E, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000052, 
                0x00000334, 
                0x00000000, 
                0x0000001D, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000004B, 
                0x000002F8, 
                0x00000000, 
                0x0000001C, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000045, 
                0x000002BC, 
                0x00000000, 
                0x0000001B, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000003F, 
                0x00000280, 
                0x00000000, 
                0x0000001A, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000039, 
                0x00000244, 
                0x00000000, 
                0x00000019, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000032, 
                0x00000208, 
                0x00000000, 
                0x00000018, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000002C, 
                0x000001CC, 
                0x00000000, 
                0x00000017, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000026, 
                0x00000190, 
                0x00000000, 
                0x00000016, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000020, 
                0x00000154, 
                0x00000000, 
                0x00000015, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000019, 
                0x00000118, 
                0x00000000, 
                0x00000014, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000013, 
                0x000000DC, 
                0x00000000, 
                0x00000013, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000000D, 
                0x000000A0, 
                0x00000000, 
                0x00000012, 
                0x00000000
            }
        })
    }

    Processor (\_PR.CP02, 0x02, 0x00000000, 0x00)
    {
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (PPCM)
        }

        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FE, 
                0x00000008
            }
        })
        Name (_PSS, Package (0x06)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x00000D49, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002700, 
                0x00002700
            }, 

            Package (0x06)
            {
                0x00000D48, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002200, 
                0x00002200
            }, 

            Package (0x06)
            {
                0x00000AF0, 
                0x0000E6B5, 
                0x0000000A, 
                0x0000000A, 
                0x00001C00, 
                0x00001C00
            }, 

            Package (0x06)
            {
                0x00000960, 
                0x0000BC83, 
                0x0000000A, 
                0x0000000A, 
                0x00001800, 
                0x00001800
            }, 

            Package (0x06)
            {
                0x000007D0, 
                0x000095CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001400, 
                0x00001400
            }, 

            Package (0x06)
            {
                0x00000640, 
                0x000071CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001000, 
                0x00001000
            }
        })
        Method (_CST, 0, NotSerialized)  // _CST: C-States
        {
            If (PWRS)
            {
                Return (Package (0x04)
                {
                    0x03, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000000, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000001, 
                        0x00000001, 
                        0x000003E8
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000010, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000002, 
                        0x0000003F, 
                        0x000001F4
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000030, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000003, 
                        0x0000005A, 
                        0x000000C8
                    }
                })
            }

            Return (Package (0x04)
            {
                0x03, 
                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000000, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000001, 
                    0x00000001, 
                    0x000003E8
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000010, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000002, 
                    0x0000003F, 
                    0x000001F4
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000030, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000003, 
                    0x0000005A, 
                    0x000000C8
                }
            })
        }

        Name (_TSD, Package (0x01)  // _TSD: Throttling State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FC, 
                0x00000008
            }
        })
        Name (_PTC, Package (0x02)  // _PTC: Processor Throttling Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        {
            Return (\TLVL)
        }

        Name (_TSS, Package (0x0F)  // _TSS: Throttling Supported States
        {
            Package (0x05)
            {
                0x00000064, 
                0x000003E8, 
                0x00000000, 
                0x00000000, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000005E, 
                0x000003AC, 
                0x00000000, 
                0x0000001F, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000058, 
                0x00000370, 
                0x00000000, 
                0x0000001E, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000052, 
                0x00000334, 
                0x00000000, 
                0x0000001D, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000004B, 
                0x000002F8, 
                0x00000000, 
                0x0000001C, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000045, 
                0x000002BC, 
                0x00000000, 
                0x0000001B, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000003F, 
                0x00000280, 
                0x00000000, 
                0x0000001A, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000039, 
                0x00000244, 
                0x00000000, 
                0x00000019, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000032, 
                0x00000208, 
                0x00000000, 
                0x00000018, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000002C, 
                0x000001CC, 
                0x00000000, 
                0x00000017, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000026, 
                0x00000190, 
                0x00000000, 
                0x00000016, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000020, 
                0x00000154, 
                0x00000000, 
                0x00000015, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000019, 
                0x00000118, 
                0x00000000, 
                0x00000014, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000013, 
                0x000000DC, 
                0x00000000, 
                0x00000013, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000000D, 
                0x000000A0, 
                0x00000000, 
                0x00000012, 
                0x00000000
            }
        })
    }

    Processor (\_PR.CP03, 0x03, 0x00000000, 0x00)
    {
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (PPCM)
        }

        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FE, 
                0x00000008
            }
        })
        Name (_PSS, Package (0x06)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x00000D49, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002700, 
                0x00002700
            }, 

            Package (0x06)
            {
                0x00000D48, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002200, 
                0x00002200
            }, 

            Package (0x06)
            {
                0x00000AF0, 
                0x0000E6B5, 
                0x0000000A, 
                0x0000000A, 
                0x00001C00, 
                0x00001C00
            }, 

            Package (0x06)
            {
                0x00000960, 
                0x0000BC83, 
                0x0000000A, 
                0x0000000A, 
                0x00001800, 
                0x00001800
            }, 

            Package (0x06)
            {
                0x000007D0, 
                0x000095CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001400, 
                0x00001400
            }, 

            Package (0x06)
            {
                0x00000640, 
                0x000071CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001000, 
                0x00001000
            }
        })
        Method (_CST, 0, NotSerialized)  // _CST: C-States
        {
            If (PWRS)
            {
                Return (Package (0x04)
                {
                    0x03, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000000, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000001, 
                        0x00000001, 
                        0x000003E8
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000010, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000002, 
                        0x0000003F, 
                        0x000001F4
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000030, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000003, 
                        0x0000005A, 
                        0x000000C8
                    }
                })
            }

            Return (Package (0x04)
            {
                0x03, 
                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000000, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000001, 
                    0x00000001, 
                    0x000003E8
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000010, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000002, 
                    0x0000003F, 
                    0x000001F4
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000030, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000003, 
                    0x0000005A, 
                    0x000000C8
                }
            })
        }

        Name (_TSD, Package (0x01)  // _TSD: Throttling State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FC, 
                0x00000008
            }
        })
        Name (_PTC, Package (0x02)  // _PTC: Processor Throttling Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        {
            Return (\TLVL)
        }

        Name (_TSS, Package (0x0F)  // _TSS: Throttling Supported States
        {
            Package (0x05)
            {
                0x00000064, 
                0x000003E8, 
                0x00000000, 
                0x00000000, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000005E, 
                0x000003AC, 
                0x00000000, 
                0x0000001F, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000058, 
                0x00000370, 
                0x00000000, 
                0x0000001E, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000052, 
                0x00000334, 
                0x00000000, 
                0x0000001D, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000004B, 
                0x000002F8, 
                0x00000000, 
                0x0000001C, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000045, 
                0x000002BC, 
                0x00000000, 
                0x0000001B, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000003F, 
                0x00000280, 
                0x00000000, 
                0x0000001A, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000039, 
                0x00000244, 
                0x00000000, 
                0x00000019, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000032, 
                0x00000208, 
                0x00000000, 
                0x00000018, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000002C, 
                0x000001CC, 
                0x00000000, 
                0x00000017, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000026, 
                0x00000190, 
                0x00000000, 
                0x00000016, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000020, 
                0x00000154, 
                0x00000000, 
                0x00000015, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000019, 
                0x00000118, 
                0x00000000, 
                0x00000014, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000013, 
                0x000000DC, 
                0x00000000, 
                0x00000013, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000000D, 
                0x000000A0, 
                0x00000000, 
                0x00000012, 
                0x00000000
            }
        })
    }

    Processor (\_PR.CP04, 0x04, 0x00000000, 0x00)
    {
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (PPCM)
        }

        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FE, 
                0x00000008
            }
        })
        Name (_PSS, Package (0x06)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x00000D49, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002700, 
                0x00002700
            }, 

            Package (0x06)
            {
                0x00000D48, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002200, 
                0x00002200
            }, 

            Package (0x06)
            {
                0x00000AF0, 
                0x0000E6B5, 
                0x0000000A, 
                0x0000000A, 
                0x00001C00, 
                0x00001C00
            }, 

            Package (0x06)
            {
                0x00000960, 
                0x0000BC83, 
                0x0000000A, 
                0x0000000A, 
                0x00001800, 
                0x00001800
            }, 

            Package (0x06)
            {
                0x000007D0, 
                0x000095CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001400, 
                0x00001400
            }, 

            Package (0x06)
            {
                0x00000640, 
                0x000071CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001000, 
                0x00001000
            }
        })
        Method (_CST, 0, NotSerialized)  // _CST: C-States
        {
            If (PWRS)
            {
                Return (Package (0x04)
                {
                    0x03, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000000, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000001, 
                        0x00000001, 
                        0x000003E8
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000010, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000002, 
                        0x0000003F, 
                        0x000001F4
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000030, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000003, 
                        0x0000005A, 
                        0x000000C8
                    }
                })
            }

            Return (Package (0x04)
            {
                0x03, 
                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000000, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000001, 
                    0x00000001, 
                    0x000003E8
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000010, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000002, 
                    0x0000003F, 
                    0x000001F4
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000030, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000003, 
                    0x0000005A, 
                    0x000000C8
                }
            })
        }

        Name (_TSD, Package (0x01)  // _TSD: Throttling State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FC, 
                0x00000008
            }
        })
        Name (_PTC, Package (0x02)  // _PTC: Processor Throttling Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        {
            Return (\TLVL)
        }

        Name (_TSS, Package (0x0F)  // _TSS: Throttling Supported States
        {
            Package (0x05)
            {
                0x00000064, 
                0x000003E8, 
                0x00000000, 
                0x00000000, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000005E, 
                0x000003AC, 
                0x00000000, 
                0x0000001F, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000058, 
                0x00000370, 
                0x00000000, 
                0x0000001E, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000052, 
                0x00000334, 
                0x00000000, 
                0x0000001D, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000004B, 
                0x000002F8, 
                0x00000000, 
                0x0000001C, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000045, 
                0x000002BC, 
                0x00000000, 
                0x0000001B, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000003F, 
                0x00000280, 
                0x00000000, 
                0x0000001A, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000039, 
                0x00000244, 
                0x00000000, 
                0x00000019, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000032, 
                0x00000208, 
                0x00000000, 
                0x00000018, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000002C, 
                0x000001CC, 
                0x00000000, 
                0x00000017, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000026, 
                0x00000190, 
                0x00000000, 
                0x00000016, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000020, 
                0x00000154, 
                0x00000000, 
                0x00000015, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000019, 
                0x00000118, 
                0x00000000, 
                0x00000014, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000013, 
                0x000000DC, 
                0x00000000, 
                0x00000013, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000000D, 
                0x000000A0, 
                0x00000000, 
                0x00000012, 
                0x00000000
            }
        })
    }

    Processor (\_PR.CP05, 0x05, 0x00000000, 0x00)
    {
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (PPCM)
        }

        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FE, 
                0x00000008
            }
        })
        Name (_PSS, Package (0x06)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x00000D49, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002700, 
                0x00002700
            }, 

            Package (0x06)
            {
                0x00000D48, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002200, 
                0x00002200
            }, 

            Package (0x06)
            {
                0x00000AF0, 
                0x0000E6B5, 
                0x0000000A, 
                0x0000000A, 
                0x00001C00, 
                0x00001C00
            }, 

            Package (0x06)
            {
                0x00000960, 
                0x0000BC83, 
                0x0000000A, 
                0x0000000A, 
                0x00001800, 
                0x00001800
            }, 

            Package (0x06)
            {
                0x000007D0, 
                0x000095CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001400, 
                0x00001400
            }, 

            Package (0x06)
            {
                0x00000640, 
                0x000071CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001000, 
                0x00001000
            }
        })
        Method (_CST, 0, NotSerialized)  // _CST: C-States
        {
            If (PWRS)
            {
                Return (Package (0x04)
                {
                    0x03, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000000, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000001, 
                        0x00000001, 
                        0x000003E8
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000010, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000002, 
                        0x0000003F, 
                        0x000001F4
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000030, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000003, 
                        0x0000005A, 
                        0x000000C8
                    }
                })
            }

            Return (Package (0x04)
            {
                0x03, 
                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000000, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000001, 
                    0x00000001, 
                    0x000003E8
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000010, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000002, 
                    0x0000003F, 
                    0x000001F4
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000030, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000003, 
                    0x0000005A, 
                    0x000000C8
                }
            })
        }

        Name (_TSD, Package (0x01)  // _TSD: Throttling State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FC, 
                0x00000008
            }
        })
        Name (_PTC, Package (0x02)  // _PTC: Processor Throttling Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        {
            Return (\TLVL)
        }

        Name (_TSS, Package (0x0F)  // _TSS: Throttling Supported States
        {
            Package (0x05)
            {
                0x00000064, 
                0x000003E8, 
                0x00000000, 
                0x00000000, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000005E, 
                0x000003AC, 
                0x00000000, 
                0x0000001F, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000058, 
                0x00000370, 
                0x00000000, 
                0x0000001E, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000052, 
                0x00000334, 
                0x00000000, 
                0x0000001D, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000004B, 
                0x000002F8, 
                0x00000000, 
                0x0000001C, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000045, 
                0x000002BC, 
                0x00000000, 
                0x0000001B, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000003F, 
                0x00000280, 
                0x00000000, 
                0x0000001A, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000039, 
                0x00000244, 
                0x00000000, 
                0x00000019, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000032, 
                0x00000208, 
                0x00000000, 
                0x00000018, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000002C, 
                0x000001CC, 
                0x00000000, 
                0x00000017, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000026, 
                0x00000190, 
                0x00000000, 
                0x00000016, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000020, 
                0x00000154, 
                0x00000000, 
                0x00000015, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000019, 
                0x00000118, 
                0x00000000, 
                0x00000014, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000013, 
                0x000000DC, 
                0x00000000, 
                0x00000013, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000000D, 
                0x000000A0, 
                0x00000000, 
                0x00000012, 
                0x00000000
            }
        })
    }

    Processor (\_PR.CP06, 0x06, 0x00000000, 0x00)
    {
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (PPCM)
        }

        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FE, 
                0x00000008
            }
        })
        Name (_PSS, Package (0x06)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x00000D49, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002700, 
                0x00002700
            }, 

            Package (0x06)
            {
                0x00000D48, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002200, 
                0x00002200
            }, 

            Package (0x06)
            {
                0x00000AF0, 
                0x0000E6B5, 
                0x0000000A, 
                0x0000000A, 
                0x00001C00, 
                0x00001C00
            }, 

            Package (0x06)
            {
                0x00000960, 
                0x0000BC83, 
                0x0000000A, 
                0x0000000A, 
                0x00001800, 
                0x00001800
            }, 

            Package (0x06)
            {
                0x000007D0, 
                0x000095CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001400, 
                0x00001400
            }, 

            Package (0x06)
            {
                0x00000640, 
                0x000071CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001000, 
                0x00001000
            }
        })
        Method (_CST, 0, NotSerialized)  // _CST: C-States
        {
            If (PWRS)
            {
                Return (Package (0x04)
                {
                    0x03, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000000, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000001, 
                        0x00000001, 
                        0x000003E8
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000010, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000002, 
                        0x0000003F, 
                        0x000001F4
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000030, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000003, 
                        0x0000005A, 
                        0x000000C8
                    }
                })
            }

            Return (Package (0x04)
            {
                0x03, 
                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000000, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000001, 
                    0x00000001, 
                    0x000003E8
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000010, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000002, 
                    0x0000003F, 
                    0x000001F4
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000030, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000003, 
                    0x0000005A, 
                    0x000000C8
                }
            })
        }

        Name (_TSD, Package (0x01)  // _TSD: Throttling State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FC, 
                0x00000008
            }
        })
        Name (_PTC, Package (0x02)  // _PTC: Processor Throttling Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        {
            Return (\TLVL)
        }

        Name (_TSS, Package (0x0F)  // _TSS: Throttling Supported States
        {
            Package (0x05)
            {
                0x00000064, 
                0x000003E8, 
                0x00000000, 
                0x00000000, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000005E, 
                0x000003AC, 
                0x00000000, 
                0x0000001F, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000058, 
                0x00000370, 
                0x00000000, 
                0x0000001E, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000052, 
                0x00000334, 
                0x00000000, 
                0x0000001D, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000004B, 
                0x000002F8, 
                0x00000000, 
                0x0000001C, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000045, 
                0x000002BC, 
                0x00000000, 
                0x0000001B, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000003F, 
                0x00000280, 
                0x00000000, 
                0x0000001A, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000039, 
                0x00000244, 
                0x00000000, 
                0x00000019, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000032, 
                0x00000208, 
                0x00000000, 
                0x00000018, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000002C, 
                0x000001CC, 
                0x00000000, 
                0x00000017, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000026, 
                0x00000190, 
                0x00000000, 
                0x00000016, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000020, 
                0x00000154, 
                0x00000000, 
                0x00000015, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000019, 
                0x00000118, 
                0x00000000, 
                0x00000014, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000013, 
                0x000000DC, 
                0x00000000, 
                0x00000013, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000000D, 
                0x000000A0, 
                0x00000000, 
                0x00000012, 
                0x00000000
            }
        })
    }

    Processor (\_PR.CP07, 0x07, 0x00000000, 0x00)
    {
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (PPCM)
        }

        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FE, 
                0x00000008
            }
        })
        Name (_PSS, Package (0x06)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x00000D49, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002700, 
                0x00002700
            }, 

            Package (0x06)
            {
                0x00000D48, 
                0x00012CC8, 
                0x0000000A, 
                0x0000000A, 
                0x00002200, 
                0x00002200
            }, 

            Package (0x06)
            {
                0x00000AF0, 
                0x0000E6B5, 
                0x0000000A, 
                0x0000000A, 
                0x00001C00, 
                0x00001C00
            }, 

            Package (0x06)
            {
                0x00000960, 
                0x0000BC83, 
                0x0000000A, 
                0x0000000A, 
                0x00001800, 
                0x00001800
            }, 

            Package (0x06)
            {
                0x000007D0, 
                0x000095CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001400, 
                0x00001400
            }, 

            Package (0x06)
            {
                0x00000640, 
                0x000071CC, 
                0x0000000A, 
                0x0000000A, 
                0x00001000, 
                0x00001000
            }
        })
        Method (_CST, 0, NotSerialized)  // _CST: C-States
        {
            If (PWRS)
            {
                Return (Package (0x04)
                {
                    0x03, 
                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000000, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000001, 
                        0x00000001, 
                        0x000003E8
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000010, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000002, 
                        0x0000003F, 
                        0x000001F4
                    }, 

                    Package (0x04)
                    {
                        ResourceTemplate ()
                        {
                            Register (FFixedHW, 
                                0x01,               // Bit Width
                                0x02,               // Bit Offset
                                0x0000000000000030, // Address
                                0x01,               // Access Size
                                )
                        }, 

                        0x00000003, 
                        0x0000005A, 
                        0x000000C8
                    }
                })
            }

            Return (Package (0x04)
            {
                0x03, 
                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000000, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000001, 
                    0x00000001, 
                    0x000003E8
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000010, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000002, 
                    0x0000003F, 
                    0x000001F4
                }, 

                Package (0x04)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x01,               // Bit Width
                            0x02,               // Bit Offset
                            0x0000000000000030, // Address
                            0x01,               // Access Size
                            )
                    }, 

                    0x00000003, 
                    0x0000005A, 
                    0x000000C8
                }
            })
        }

        Name (_TSD, Package (0x01)  // _TSD: Throttling State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FC, 
                0x00000008
            }
        })
        Name (_PTC, Package (0x02)  // _PTC: Processor Throttling Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        {
            Return (\TLVL)
        }

        Name (_TSS, Package (0x0F)  // _TSS: Throttling Supported States
        {
            Package (0x05)
            {
                0x00000064, 
                0x000003E8, 
                0x00000000, 
                0x00000000, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000005E, 
                0x000003AC, 
                0x00000000, 
                0x0000001F, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000058, 
                0x00000370, 
                0x00000000, 
                0x0000001E, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000052, 
                0x00000334, 
                0x00000000, 
                0x0000001D, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000004B, 
                0x000002F8, 
                0x00000000, 
                0x0000001C, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000045, 
                0x000002BC, 
                0x00000000, 
                0x0000001B, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000003F, 
                0x00000280, 
                0x00000000, 
                0x0000001A, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000039, 
                0x00000244, 
                0x00000000, 
                0x00000019, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000032, 
                0x00000208, 
                0x00000000, 
                0x00000018, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000002C, 
                0x000001CC, 
                0x00000000, 
                0x00000017, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000026, 
                0x00000190, 
                0x00000000, 
                0x00000016, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000020, 
                0x00000154, 
                0x00000000, 
                0x00000015, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000019, 
                0x00000118, 
                0x00000000, 
                0x00000014, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000013, 
                0x000000DC, 
                0x00000000, 
                0x00000013, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000000D, 
                0x000000A0, 
                0x00000000, 
                0x00000012, 
                0x00000000
            }
        })
    }

    Scope (\_SB.PCI0.GFX0)
    {
        Method (_DOD, 0, NotSerialized)  // _DOD: Display Output Devices
        {
            Return (Package (0x03)
            {
                0x80010100, 
                0x80010240, 
                0x80010410
            })
        }

        Device (VGA0)
        {
            Name (_ADR, 0x00000100)  // _ADR: Address
            Method (_DCS, 0, NotSerialized)  // _DCS: Display Current Status
            {
                Return (^^XDCS)
                0x00
            }

            Method (_DGS, 0, NotSerialized)  // _DGS: Display Graphics State
            {
                Return (^^XDGS)
                0x00
            }

            Method (_DSS, 0, NotSerialized)  // _DSS: Device Set State
            {
                ^^XDSS (0x00, Arg0)
            }
        }

        Device (TV0)
        {
            Name (_ADR, 0x00000240)  // _ADR: Address
            Method (_DCS, 0, NotSerialized)  // _DCS: Display Current Status
            {
                Return (^^XDCS)
                0x01
            }

            Method (_DGS, 0, NotSerialized)  // _DGS: Display Graphics State
            {
                Return (^^XDGS)
                0x01
            }

            Method (_DSS, 0, NotSerialized)  // _DSS: Device Set State
            {
                ^^XDSS (0x01, Arg0)
            }
        }

        Device (LCD0)
        {
            Name (_ADR, 0x00000410)  // _ADR: Address
            Method (_BCL, 0, NotSerialized)  // _BCL: Brightness Control Levels
            {
                Return (^^XBCL)
            }

            Method (_BCM, 1, NotSerialized)  // _BCM: Brightness Control Method
            {
                ^^XBCM (Arg0)
            }

            Method (_BQC, 0, NotSerialized)  // _BQC: Brightness Query Current
            {
                Return (^^XBQC)
            }

            Method (_DCS, 0, NotSerialized)  // _DCS: Display Current Status
            {
                Return (^^XDCS)
                0x02
            }

            Method (_DGS, 0, NotSerialized)  // _DGS: Display Graphics State
            {
                Return (^^XDGS)
                0x02
            }

            Method (_DSS, 0, NotSerialized)  // _DSS: Device Set State
            {
                ^^XDSS (0x02, Arg0)
            }
        }
    }

    Scope (\_SB.PCI0.SATA)
    {
        Device (PR00)
        {
            Name (_ADR, 0x0000FFFF)  // _ADR: Address
        }

        Device (PR01)
        {
            Name (_ADR, 0x0001FFFF)  // _ADR: Address
        }

        Device (PR02)
        {
            Name (_ADR, 0x0002FFFF)  // _ADR: Address
        }

        Device (PR03)
        {
            Name (_ADR, 0x0003FFFF)  // _ADR: Address
        }

        Device (PR04)
        {
            Name (_ADR, 0x0004FFFF)  // _ADR: Address
        }

        Device (PR05)
        {
            Name (_ADR, 0x0005FFFF)  // _ADR: Address
        }
    }
}

